This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1297077 - RFE: Perl6 for EPEL
RFE: Perl6 for EPEL
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rakudo-star (Show other bugs)
epel7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gerd Pokorra
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 18:22 EST by Todd
Modified: 2016-12-27 12:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-27 12:17:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd 2016-01-08 18:22:59 EST
Perl6 is in Fedora 23.  May we please have one for EL 7?
Comment 1 Petr Šabata 2016-01-11 11:16:31 EST
Perl6::Slurp is a perl 5 module, not an implementation of perl6.
Changing component to rakudo-star.
Comment 2 Todd 2016-11-18 20:57:44 EST
Any movement on this?
Comment 3 Todd 2016-11-18 21:08:31 EST
#  yum-builddep --enablerepo=* rakudo-star-0.0.2016.01-1.fc24.src.rpm

epel-debuginfo/x86_64/metalink                           |  11 kB     00:00     
epel-testing/x86_64/metalink                             |  13 kB     00:00     
epel-testing-debuginfo/x86_64/metalink                   |  12 kB     00:00     
epel-testing-source/x86_64/metalink                      |  12 kB     00:00     
nux-dextop-testing                                       | 2.9 kB     00:00     
sl-debuginfo                                             | 2.7 kB     00:00     
sl-extras-debuginfo                                      | 2.5 kB     00:00     
sl-testing                                               | 3.0 kB     00:00     
sl-testing-source                                        | 2.6 kB     00:00     
virtio-win-latest                                        | 3.0 kB     00:00     
virtio-win-source                                        | 3.0 kB     00:00     
Getting requirements for rakudo-star-0.0.2016.01-1.fc24.src
 --> Already installed : desktop-file-utils-0.22-1.el7.x86_64
 --> libatomic_ops-devel-7.2d-7.el7.x86_64
 --> libtommath-devel-0.42.0-4.el7.x86_64
 --> 1:libuv-devel-1.9.1-1.el7.x86_64
 --> Already installed : 4:perl-5.16.3-286.el7.x86_64
 --> Already installed : perl-Test-Harness-3.28-3.el7.noarch
 --> Already installed : readline-devel-6.2-9.el7.i686
Error: No Package found for moarvm-devel
Error: No Package found for nqp >= 0.0.2016.01
Error: No Package found for sha-devel
Comment 4 Fedora End Of Life 2016-11-24 09:47:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Todd 2016-11-24 20:11:03 EST
I really, really need you guys to do this RFE.  Would you please role it over to Fedora 25?

Many thanks,
-T
Comment 6 Gerd Pokorra 2016-12-09 03:42:05 EST
Yes, the chain to build rakudo-star is to build:

 moarvm -> nqp -> rakudo-star

Next week I hope to find same time to start with it. I will start with a scratch build of moarvm and report the results.
Comment 7 Todd 2016-12-09 22:33:15 EST
please go to the latest version, which is 11

Thanks,
-T
Comment 8 Fedora Update System 2016-12-10 05:01:20 EST
rakudo-star-0.0.2016.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5483f2f1e9
Comment 9 Fedora Update System 2016-12-10 05:10:01 EST
moarvm-0.2016.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a8d78e928d
Comment 10 Fedora Update System 2016-12-10 05:11:52 EST
nqp-0.0.2016.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-09ef50a884
Comment 11 Fedora Update System 2016-12-11 06:49:39 EST
rakudo-star-0.0.2016.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5483f2f1e9
Comment 12 Fedora Update System 2016-12-11 06:49:43 EST
moarvm-0.2016.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a8d78e928d
Comment 13 Fedora Update System 2016-12-11 06:49:46 EST
nqp-0.0.2016.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-09ef50a884
Comment 14 Fedora Update System 2016-12-27 12:17:10 EST
rakudo-star-0.0.2016.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-12-27 12:17:14 EST
moarvm-0.2016.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-12-27 12:17:17 EST
nqp-0.0.2016.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.